fedora-users October 2011 archive
Main Archive Page > Month Archives  > fedora-users archives
fedora-users: Re: Java crashes in Mozilla Firefox

Re: Java crashes in Mozilla Firefox

From: Ian Malone <ibmalone_at_nospam>
Date: Wed Oct 12 2011 - 11:11:59 GMT
To: Community support for Fedora users <users@lists.fedoraproject.org>

On 12 October 2011 10:25, Per Anton R√łnning <pa-ronn@online.no> wrote:
> Deepak Bhole wrote:
>> * Per Anton R√łnning <pa-ronn@online.no> [2011-10-11 15:50]:
>>> Deepak Bhole wrote:
>>>> * John Pilkington <J.Pilk@tesco.net> [2011-10-09 10:23]:
>>>>> On 09/10/11 14:33, John Pilkington wrote:
>> ...
>> ...
>>>>>> John P
>>>>> Anyway I don't see icedtea rpms from any of my usual repos in f14, but
>>>>> Firefox > Tools > Add-ons > Plugins shows I have the f14 version;  maybe
>>>>> Get-Addons will find it for f9 ???
>>>>>
>>>> Sorry, icedtea-web is only available in F15 and up. I had my versions
>>>> mixed up.
>>>>
>>>> For older ones, please do 'yum install java-1.6.0-openjdk-plugin'
>>>>
>>>> Cheers,
>>>> Deepak
>>> Hi Deepak,
>>> Sorry it did not go well:
>>> [root@localhost java]# yum install java-1.6.0-openjdk-plugin
>>> Loaded plugins: priorities, refresh-packagekit
>>> http://dl.atrpms.net/f9-i386/atrpms/stable/repodata/repomd.xml: [Errno
>>> 14] HTTP Error 404: Not Found
>>> Trying other mirror.
>>> Error: Cannot retrieve repository metadata (repomd.xml) for repository:
>>> atrpms. Please verify its path and try again
>>>
>>
>> You need to disable the atrpms repo. You can check what the name is in
>> /etc/yum.repos.d/* (one of those files will be for atrpms). You can then
>> set enable=0 there, or run:
>>
>> yum --disablerepo=<reponame> install java-1.6.0-openjdk-plugin

>
> Yes, atrpms.repo is present in directory /etc/yum.repos.d. Still, whar
> happens is:
>
> [par@localhost java]$ yum --disablerepo=/etc/yum.repos.d/atrpms.repo
> install java-1.6.0-openjdk-plugin
> Loaded plugins: priorities, refresh-packagekit
>

Just the repository name, in this case I think:
yum --disablerepo=atrpms install java-1.6.0-openjdk-plugin

Add extra --dsiablerepo=NAME for any other third party repositories it
can't find (I guess they've ddropped support for Fedora 9).

If you don't know the name you can get it either from the name yum
reports when trying to get the metadata (e.g. the "[...] for
repository: atrpms" bit above) or from the files in /etc/yum.repos.d/
(where repository names are in square brackets within the files).

Finally if you still can't get yum working (but you really should be
able to) then you can download the java-1.6.0-openjdk and
java-1.6.0-openjdk-plugin RPMS from
http://archives.fedoraproject.org/pub/archive/fedora/linux/releases/9/Everything/i386.newkey/os/Packages/

-- imalone -- users mailing list users@lists.fedoraproject.org To unsubscribe or change subscription options: https://admin.fedoraproject.org/mailman/listinfo/users Guidelines: http://fedoraproject.org/wiki/Mailing_list_guidelines